import React, { useEffect, useState } from 'react'
import Taro from '@tarojs/taro'
import { View, Image } from '@tarojs/components'
import BadgeTag from '@/components/BadgeTag'
import Cashback from '../Cashback'
import './style.less'

export default (props) => {
  const { cashback, badge, image } = props

  const enableCashback = cashback !== undefined && cashback !== null

  // // 为了解决苹果手机上图片不显示问题
  // const [imgUrl, setImgUrl] = useState()
  // useEffect(() => {
  //   if (image) {
  //     Taro.downloadFile({
  //       url: image,
  //       success: res => setImgUrl(res.tempFilePath),
  //       fail: err => {
  //         console.error(err)
  //         setImgUrl(image)
  //       }
  //     })
  //   } else {
  //     setImgUrl()
  //   }
  // }, [image])
  // const handleError = (e) => {
  //   console.error('-------image----->', image)
  //   console.error(e)
  // }

  const backImage = {
    background: `url('${image}') no-repeat`,
    backgroundSize: '100%',
  }

  return (
    <View className='coupun-media_header'>
      {enableCashback && <Cashback money={cashback} style={{ marginTop: '-10px' }} />}
      <View className='coupun-media_thumb'>
        <BadgeTag type={badge} />
        {/* <Image src={image} webp mode='widthFix'onError={handleError} /> */}
        <View className='image' style={backImage}></View>
      </View>
    </View>
  )
}
